#define F_CPU 14745600UL
#include "Main.h"

uint16_t temperatur = 0;
float celsius = 0;

uint8_t error = 0;

//Unsere Main
int main(void) {

	init_spi_lcd(); // SPI Init

	TSIC_INIT();	// Init TSIC Temperatursensor

	//DOGL Display
	lcd_init();
	lcd_set_font(FONT_PROP_8, 0);

	while (1) {

		BACKLIGHT_ON();

		error = getTSicTemp(&temperatur); //turn the TSIC-Sensor ON -> messure -> OFF
		if (error == 1) {
			lcd_moveto_xy(0, 0);
			lcd_put_string(FONT_PROP_8, 0, "Temperatur: ");
			celsius = ((float) temperatur * 200 / 2048) - 50;// conversion equation from TSic's data sheet

			lcd_put_float(celsius);
			lcd_moveto_xy(7, 0);
			lcd_put_string(FONT_PROP_8, 0, "UINT: ");
			lcd_put_long(temperatur);
		}

		lcd_moveto_xy(1, 0);
		lcd_put_string(FONT_PROP_8, 0, "Error: ");
		lcd_put_long(error);

		_delay_ms(200);

	}
}
